using ASHermed.SinoInterface.Api.ContractModel;
using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.ContractModel.Framework.Login;
using ASHermed.SinoInterface.ContractModel;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace ASHermed.SinoInterface.Api.IService
{
    /// <summary>
	/// 首页所需接口
	/// </summary>
	public interface IIndexService
    {
        List<Pub_Banner> GetBanner(int language, int showWhere);
        Task<BackgroundPicModel> GetBackgroundPic(int language);
        Task<List<AppletBtn>> GetFunction(int language);
        Task<List<MissionModel>> GetMission(int language);
        Task<List<AptDoc>> GetHasConsultation(int language);
        Task<List<HosInfo>> GetHosList(string cityName, int language);
    }
}
